Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Interface ImportingTransactionManager

All Known Implementing Classes:
  TrmiTransactionManager

    public interface ImportingTransactionManager

An interface for the communication layer, for notifying TM of incoming transactional request. WARNING: this interface and its mechanisms are subject to several patents and pending patents held by Atomikos. Regardless the license under which this interface is distributed, third-party use is NOT allowed without the prior and explicit written approval of Atomikos.

Method Summary
`CompositeTransaction` | `importTransaction(Propagation propagation, boolean orphancheck, boolean heur_commit)` Notify TM of incoming request with given propagation.
`Extent` | `terminated(boolean commit)` Termination callback for current tx.

Method Detail

### importTransaction

    CompositeTransaction importTransaction(Propagation propagation,
                                           boolean orphancheck,
                                           boolean heur_commit)
                                           throws SysException

  Notify TM of incoming request with given propagation. Makes the TM start a tx and associate it with calling thread.

  Parameters:
    `propagation` - The ancestor information.
    `orphancheck` - True iff orphans are to be checked.
    `heur_commit` - True iff heuristic means commit.
  Returns:
    CompositeTransaction The local tx instance.
  Throws:
    `SysException`

### terminated

    Extent terminated(boolean commit)
                      throws SysException,
                             RollbackException

  Termination callback for current tx. Called by comm layer right before a remote call returns.

  Parameters:
    `commit` - True iff the invocation had no errors. Implies that the local subtx is committed.
  Returns:
    Extent The extent to return to remote client.
  Throws:
    `SysException` - Unexpected error.
    `RollbackException` - If the transaction has timed out.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.